<form name="editForm" role="form" novalidate (ngSubmit)="pushData()" #editForm="ngForm">
    <div class="modal-header">
        <h6 class="modal-title">Pilih NOMOR PO || BBM </h6>
    </div>
    <div class="modal-body">
        <p-dataTable 
            [value]="pobbms" 
            [editable]="false" 
            [rows]="itemsPerPage" 
            [paginator]="true"
            [pageLinks]="5" 
            [rowsPerPageOptions]="[20,50,100]"
            [totalRecords]="totalItems" 
            [responsive]="true"
            [lazy]="true" 
            [(selection)]="selected" 
            dataKey="idpo" 
            (onLazyLoad)="loadDataLazy($event)"
            [(first)]="first">
            <p-header>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Nomor PO" autocomplete="off">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearchBBM" id="currentSearchBBM"
                            name="currentSearchBBM" placeholder="Cari Nomor BBM" autocomplete="off">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="searchBBM(currentSearchBBM)" *ngIf="currentSearchBBM">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearchBBM">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearchBBMRetur" id="currentSearchBBMRetur"
                            name="currentSearchBBMRetur" placeholder="Cari Nomor BBM Retur" autocomplete="off">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="searchBBMRetur(currentSearchBBMRetur)" *ngIf="currentSearchBBMRetur">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearchBBMRetur">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
            </p-header>
            <p-column selectionMode="multiple" [style]="{'width':'30px'}"></p-column>
            <p-column header="No" [style]="{'width': '35px', 'text-align': 'center'}">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Nomor PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopo}}
                </ng-template>
            </p-column>
            <p-column header="Nomor BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nobbm}}
                </ng-template>
            </p-column>
            <p-column header="Status LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.statuslhp}}
                </ng-template>
            </p-column>
            <p-column header="No BBK">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nobbk}}
                </ng-template>
            </p-column>
            <p-column header="Kode Supplier">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kdsupnew}}
                </ng-template>
            </p-column>
            <p-column header="Nomor SJ">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nosj}}
                </ng-template>
            </p-column>
            <p-column header="LHP">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.lhp}}
                </ng-template>
            </p-column>
            <p-column header="Kode Produk">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.productcode}}
                </ng-template>
            </p-column>
            <p-column header="QTY Terima">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qty}}
                </ng-template>
            </p-column>
            <!-- <p-column header="harga satuan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.price}}
                </ng-template>
            </p-column> -->
        </p-dataTable>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clearPage()"
            label="{{'entity.action.cancel' | translate}}" icon="fa-ban" class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" label="{{'entity.action.select' | translate}}" icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>